maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Carlos Sanchez (JIRA)" <j...@codehaus.org>
Subject [jira] Closed: (MNG-3396) Managed versions dont affect over constrained ranges
Date Mon, 11 Feb 2008 05:07:28 GMT

     [ http://jira.codehaus.org/browse/MNG-3396?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Carlos Sanchez closed MNG-3396.
-------------------------------

         Assignee: Carlos Sanchez
       Resolution: Fixed
    Fix Version/s: 2.1
                   2.1-alpha-1
                   2.0.9

> Managed versions dont affect over constrained ranges
> ----------------------------------------------------
>
>                 Key: MNG-3396
>                 URL: http://jira.codehaus.org/browse/MNG-3396
>             Project: Maven 2
>          Issue Type: Bug
>          Components: Dependencies
>    Affects Versions: 2.0.8, 2.1-alpha-1, 2.1
>            Reporter: Carlos Sanchez
>            Assignee: Carlos Sanchez
>             Fix For: 2.0.9, 2.1-alpha-1, 2.1
>
>
> If a dependency in the graph has a range [1.0, 2.0] and there's no version in the repo
to satisfy it, a OverConstrainedVersionException is thron in the DefaultArtifactCollector
> If you try to force a version out of the range in the dependencyManagement it is ignored.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message